Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: core Estimated time: 0.00 hour

Target version:    

Affects version: 3.4.1   

Description

i'm using 3.4.1 (debian 3.4.1-1 (testing)), openbox wm.

Set "Song Display > Title format: > TITLE"  (I also deselect "Show song numbers" and "Show leading zeroes" if it matters)

Load 2+ files into the playlist, start playing the first file.  The program's titlebar displays "TITLE (DURATION)", as does the AOSD

plugin.  This already seems off to me, like it should only show "TITLE".

With file still playing, set "Title format: > ARTIST - TITLE"; both titlebar and AOSD immediately change to reflect this, but the titlebar

still includes (DURATION) at the end, whereas AOSD dropped it and reflects exactly "ARTIST - TITLE".

Change it back to "TITLE" and AOSD still only shows exactly "TITLE", but let it keep playing, when it switches to the next track,

AOSD now includes (DURATION) at the end again.

I would like to hide DURATION (or whatever you call it) in titlebar and AOSD.

Can we also disable the time limit of the AOSD?  The max I can get is five minutes, if I set Display, Fade in, and Fade out all to

99999.  I thought of setting them all to 0 but it doesn't do it.

You're wonderful and thank you for all your work!

History

#1 - December 07, 2013 00:58 - John Lindgren

- Tracker changed from Bug to Feature

Not really a bug, although I agree that the current behavior is confusing.

#2 - December 02, 2019 20:18 - John Lindgren

- Subject changed from Hide DURATION; AOSD behavior to Hide duration in window title

#3 - December 02, 2019 20:22 - John Lindgren

- Category set to core

#4 - April 14, 2020 14:45 - John Lindgren

- Status changed from New to Rejected

Closing feature requests that have not seen activity in over 3 years

Powered by TCPDF (www.tcpdf.org)

March 13, 2024 1/1

http://www.tcpdf.org

